/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * InventoryItemLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface InventoryItemLocal extends EJBLocalObject
{
    public String getId()
        throws EJBException;

    public void setAmountFree(int amountFree)
        throws EJBException;

    public int getAmountFree()
        throws EJBException;

    public void setAmountAllocated(int amountAllocated)
        throws EJBException;

    public int getAmountAllocated()
        throws EJBException;

    public void setMinAmount(int minAmount)
        throws EJBException;

    public int getMinAmount()
        throws EJBException;

    public void setMaxAmount(int maxAmount)
        throws EJBException;
    
    public int getMaxAmount()
        throws EJBException;

    public StorehouseLocal getStorehouse()
        throws EJBException;

    public FinishedGoodsLocal getFinishedGoods()
        throws EJBException;
}
